Prev |  | Next

# FcFileScan

## Name

FcFileScan -- scan a font file

## Synopsis

    #include <fontconfig.h>

``FcBool FcFileScan`(FcFontSet *set, FcStrSet *dirs, FcFileCache *cache, FcBlanks *blanks, const char *file, FcBoolforce);`

## Description

Scans a single file and adds all fonts found to `set`. If `force` is FcTrue, then the file is scanned even if associated information is found in `cache`. If `file` is a directory, it is added to `dirs`.

## Version

Fontconfig version 2.3.2

Prev | Home | Next
FUNCTIONS | Up | FcDirScan